Topic: MultiCarouselPage Error

roshanpr pro asked 4 years ago


Hi there, Getting the below error when trying to use MultiCarousel   React.createElement: type is invalid -- expected a string (for built-in components) or a class/function (for composite components) but got: undefined. You likely forgot to export your component from the file it's defined in, or you might have mixed up default and named imports. I have export default MultiCarouselPage and in my HomePage.js I have import MultiCarouselPage from './MultiCarouselPage' I am using the code from https://mdbootstrap.com/react/advanced/carousel/#multi-item Appreciate your help  

Mikołaj Smoleński staff answered 4 years ago


Hi, Did You use the exact code from the 'multi-item-carousel' documentation or added something new? If it is the same code, it should work correctly. I've just tested it. The regular carousel is working fine in Your project? Regards

roshanpr pro commented 4 years ago

Hi Mikolaj, Got the Multi item carousel working. The cards are stacked up on top of each other. Would you know how do I get the cards to show in the same row.

Mikołaj Smoleński staff commented 4 years ago

I'll need to verify Your project. Please send me zipped version of it to m.smolenski@mdbootstrap.com

Mikołaj Smoleński staff commented 4 years ago

Hi, Multi Carousel is a PRO component and You are using free mdbreact. Please add the pro package to Your project


Please insert min. 20 characters.

FREE CONSULTATION

Hire our experts to build a dedicated project. We'll analyze your business requirements, for free.

Status

Answered

Specification of the issue

  • User: Pro
  • Premium support: No
  • Technology: MDB React
  • MDB Version: -
  • Device: -
  • Browser: -
  • OS: -
  • Provided sample code: No
  • Provided link: No
Tags